package epson.print.service;

import epson.print.EPImageList;
import epson.print.screen.PrintSetting;

public interface RenderingController {
    void drawBeforeStartJob() throws LocalInterrupt;

    EPImageList getImageList();

    PrintSetting.Kind getKind();

    void interruptSubThreads();

    void joinSubThread(long j);

    void startDrawAfterStartJob(int i);

    void waitPage(int i, int i2) throws Exception;
}
